
ChiliProject - Bug # 184: il8n gem needed for install

Status: Closed Priority: Normal
Author: Michelle Murrain Category:
Created: 2011-02-11 Assignee:
Updated: 2011-02-15 Due date:
Remote issue URL:
Affected version:
Description: I'm getting the following problem trying to install:

<pre>

mpm@sunbear:/var/www/ruby/chiliproject$ rake generate_session_store
(in /var/www/ruby/chiliproject)
Missing the i18n 0.4.2 gem. Please `gem install -v=0.4.2 i18n`
mpm@sunbear:/var/www/ruby/chiliproject$ sudo gem install -v=0.4.2 il8n
ERROR:  Could not find a valid gem 'il8n' (= 0.4.2) in any repository

</pre>

My versions:

<pre>

mpm@sunbear:/var/www/ruby/chiliproject$ gem -v
1.3.7
mpm@sunbear:/var/www/ruby/chiliproject$ ruby -v
ruby 1.9.2p0 (2010-08-18 revision 29036) [i686-linux]
</pre>

BTW, this seems to relate to "this conversation about 
Redmine":http://www.redmine.org/boards/1/topics/20544.

Associated revisions
2008-05-25 03:26 pm - Jean-Philippe Lang 
Gantt chart: display issues that don't have a due date if they are assigned to a version with a date (#184).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1455 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2011-02-11 11:42 pm - Felix Schäfer
Not quite related to that discussion, but somewhat.

Anyway, regarding your inability to install the gem, that's odd, as I can find it on "rubygems.org":http://rubygems.org/gems/i18n, version 0.4.2 included. 
I noticed you have a rather older version of gem, make sure it's up-to-date and/or that your gem sources are configured properly.

Another thing that will probably get in your way: chiliproject is not tested against ruby 1.9, and I even seem to recall it won't work correctly due to the 
new string encodings in 1.9.

2011-02-14 01:44 am - Eric Davis
- Priority changed from High to Normal
- Target version deleted (1.1.0 â€” Bell)

2011-02-15 12:12 am - Michelle Murrain
There were definitely version issues, that I straightened out, and got the i18n gem installed fine. Given that the requirement for this gem is in the 
installation instructions <bonk head> should we close this ticket?

2011-02-15 08:33 am - Felix Schäfer
We already have "this discussion":/boards/2/topics/69 to ferret out how to handle the i18n problem, so I'll close here.

Thanks for your feedback Michelle.

2011-02-15 08:33 am - Felix Schäfer
- Status changed from Open to Closed
